### Enumeration

# GIRepository ArrayType

since: 2.80

#### Declaration

    enum GIRepository.ArrayType

#### Description [src]

The type of array in a `GITypeInfo`.

Available since: 2.80

#### Members

`GI_ARRAY_TYPE_C`

  A C array, `char[]` for instance.

  - Value: `0`
  - Available since: 2.80
`GI_ARRAY_TYPE_ARRAY`

  A `GArray` array.

  - Value: `1`
  - Available since: 2.80
`GI_ARRAY_TYPE_PTR_ARRAY`

  A `GPtrArray` array.

  - Value: `2`
  - Available since: 2.80
`GI_ARRAY_TYPE_BYTE_ARRAY`

  A `GByteArray` array.

  - Value: `3`
  - Available since: 2.80